Index: protocols/jabber/s5bytestream.c
===================================================================
--- protocols/jabber/s5bytestream.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ protocols/jabber/s5bytestream.c	(revision 5ebff60479fc7a9f7f50ac03b124c91d4e6ebe11)
@@ -643,39 +643,41 @@
 
 	/* shouldn't happen since we know the file size */
-	if( ret == 0 )
-		return jabber_bs_abort( bt, "Remote end closed connection" );
-	
+	if (ret == 0) {
+		return jabber_bs_abort(bt, "Remote end closed connection");
+	}
+
 	tf->bytesread += ret;
 
-	if( tf->bytesread >= tf->ft->file_size )
-		imcb_file_finished( tf->ic, tf->ft );
-
-	tf->ft->write( tf->ft, tf->ft->buffer, ret );	
+	if (tf->bytesread >= tf->ft->file_size) {
+		imcb_file_finished(tf->ic, tf->ft);
+	}
+
+	tf->ft->write(tf->ft, tf->ft->buffer, ret);
 
 	return FALSE;
 }
 
-/* 
+/*
  * imc callback that is invoked when it is ready to receive some data.
  */
-gboolean jabber_bs_recv_write_request( file_transfer_t *ft )
+gboolean jabber_bs_recv_write_request(file_transfer_t *ft)
 {
 	struct jabber_transfer *tf = ft->data;
 
-	if( tf->watch_in )
-	{
-		imcb_file_canceled( tf->ic, ft, "BUG in jabber file transfer: write_request called when already watching for input" );
+	if (tf->watch_in) {
+		imcb_file_canceled(tf->ic, ft,
+		                   "BUG in jabber file transfer: write_request called when already watching for input");
 		return FALSE;
 	}
-	
-	jabber_bs_recv_read( tf->streamhandle, -1 , 0 );
+
+	jabber_bs_recv_read(tf->streamhandle, -1, 0);
 
 	return TRUE;
 }
 
-/* 
+/*
  * Issues a write_request to imc.
  * */
-gboolean jabber_bs_send_can_write( gpointer data, gint fd, b_input_condition cond )
+gboolean jabber_bs_send_can_write(gpointer data, gint fd, b_input_condition cond)
 {
 	struct bs_transfer *bt = data;
@@ -683,5 +685,5 @@
 	bt->tf->watch_out = 0;
 
-	bt->tf->ft->write_request( bt->tf->ft );
+	bt->tf->ft->write_request(bt->tf->ft);
 
 	return FALSE;
@@ -692,5 +694,5 @@
  * Add a write watch so we can write more during the next cycle (if possible).
  */
-gboolean jabber_bs_send_write( file_transfer_t *ft, char *buffer, unsigned int len )
+gboolean jabber_bs_send_write(file_transfer_t *ft, char *buffer, unsigned int len)
 {
 	struct jabber_transfer *tf = ft->data;
@@ -698,21 +700,24 @@
 	int ret;
 
-	if( tf->watch_out )
-		return jabber_bs_abort( bt, "BUG: write() called while watching " );
-	
+	if (tf->watch_out) {
+		return jabber_bs_abort(bt, "BUG: write() called while watching ");
+	}
+
 	/* TODO: catch broken pipe */
-	ASSERTSOCKOP( ret = send( tf->fd, buffer, len, 0 ), "Sending" );
+	ASSERTSOCKOP(ret = send(tf->fd, buffer, len, 0), "Sending");
 
 	tf->byteswritten += ret;
-	
+
 	/* TODO: this should really not be fatal */
-	if( ret < len )
-		return jabber_bs_abort( bt, "send() sent %d instead of %d (send buffer too big!)", ret, len );
-
-	if( tf->byteswritten >= ft->file_size )
-		imcb_file_finished( tf->ic, ft );
-	else
-		bt->tf->watch_out = b_input_add( tf->fd, B_EV_IO_WRITE, jabber_bs_send_can_write, bt );
-		
+	if (ret < len) {
+		return jabber_bs_abort(bt, "send() sent %d instead of %d (send buffer too big!)", ret, len);
+	}
+
+	if (tf->byteswritten >= ft->file_size) {
+		imcb_file_finished(tf->ic, ft);
+	} else {
+		bt->tf->watch_out = b_input_add(tf->fd, B_EV_IO_WRITE, jabber_bs_send_can_write, bt);
+	}
+
 	return TRUE;
 }
@@ -721,5 +726,6 @@
  * Handles the reply by the receiver containing the used streamhost.
  */
-static xt_status jabber_bs_send_handle_reply(struct im_connection *ic, struct xt_node *node, struct xt_node *orig ) {
+static xt_status jabber_bs_send_handle_reply(struct im_connection *ic, struct xt_node *node, struct xt_node *orig)
+{
 	struct jabber_transfer *tf = NULL;
 	struct jabber_data *jd = ic->proto_data;
@@ -729,17 +735,14 @@
 	char *sid, *jid;
 
-	if( !( c = xt_find_node( node->children, "query" ) ) ||
-	    !( c = xt_find_node( c->children, "streamhost-used" ) ) ||
-	    !( jid = xt_find_attr( c, "jid" ) ) )
-
-	{
-		imcb_log( ic, "WARNING: Received incomplete bytestream reply" );
+	if (!(c = xt_find_node(node->children, "query")) ||
+	    !(c = xt_find_node(c->children, "streamhost-used")) ||
+	    !(jid = xt_find_attr(c, "jid"))) {
+		imcb_log(ic, "WARNING: Received incomplete bytestream reply");
 		return XT_HANDLED;
 	}
-	
-	if( !( c = xt_find_node( orig->children, "query" ) ) ||
-	    !( sid = xt_find_attr( c, "sid" ) ) )
-	{
-		imcb_log( ic, "WARNING: Error parsing request corresponding to the incoming bytestream reply" );
+
+	if (!(c = xt_find_node(orig->children, "query")) ||
+	    !(sid = xt_find_attr(c, "sid"))) {
+		imcb_log(ic, "WARNING: Error parsing request corresponding to the incoming bytestream reply");
 		return XT_HANDLED;
 	}
@@ -747,17 +750,14 @@
 	/* Let's see if we can find out what this bytestream should be for... */
 
-	for( tflist = jd->filetransfers ; tflist; tflist = g_slist_next(tflist) )
-	{
+	for (tflist = jd->filetransfers; tflist; tflist = g_slist_next(tflist)) {
 		struct jabber_transfer *tft = tflist->data;
-		if( ( strcmp( tft->sid, sid ) == 0 ) )
-		{
-		    	tf = tft;
+		if ((strcmp(tft->sid, sid) == 0)) {
+			tf = tft;
 			break;
 		}
 	}
 
-	if( !tf )
-	{
-		imcb_log( ic, "WARNING: Received SOCKS5 bytestream reply to unknown request" );
+	if (!tf) {
+		imcb_log(ic, "WARNING: Received SOCKS5 bytestream reply to unknown request");
 		return XT_HANDLED;
 	}
@@ -767,46 +767,39 @@
 	tf->accepted = TRUE;
 
-	if( strcmp( jid, tf->ini_jid ) == 0 )
-	{
+	if (strcmp(jid, tf->ini_jid) == 0) {
 		/* we're streamhost and target */
-		if( bt->phase == BS_PHASE_REPLY )
-		{
+		if (bt->phase == BS_PHASE_REPLY) {
 			/* handshake went through, let's start transferring */
-			tf->ft->write_request( tf->ft );
-		}
-	} else
-	{
+			tf->ft->write_request(tf->ft);
+		}
+	} else {
 		/* using a proxy, abort listen */
 
-		if( tf->watch_in )
-		{
-			b_event_remove( tf->watch_in );
+		if (tf->watch_in) {
+			b_event_remove(tf->watch_in);
 			tf->watch_in = 0;
 		}
-		
-		if( tf->fd != -1 ) {
-			closesocket( tf->fd );
+
+		if (tf->fd != -1) {
+			closesocket(tf->fd);
 			tf->fd = -1;
 		}
 
-		if ( bt->connect_timeout )
-		{
-			b_event_remove( bt->connect_timeout );
+		if (bt->connect_timeout) {
+			b_event_remove(bt->connect_timeout);
 			bt->connect_timeout = 0;
 		}
 
 		GSList *shlist;
-		for( shlist = jd->streamhosts ; shlist ; shlist = g_slist_next( shlist ) )
-		{
+		for (shlist = jd->streamhosts; shlist; shlist = g_slist_next(shlist)) {
 			jabber_streamhost_t *sh = shlist->data;
-			if( strcmp( sh->jid, jid ) == 0 )
-			{
+			if (strcmp(sh->jid, jid) == 0) {
 				bt->sh = sh;
-				jabber_bs_recv_handshake( bt, -1, 0 );
+				jabber_bs_recv_handshake(bt, -1, 0);
 				return XT_HANDLED;
 			}
 		}
 
-		imcb_log( ic, "WARNING: Received SOCKS5 bytestream reply with unknown streamhost %s", jid );
+		imcb_log(ic, "WARNING: Received SOCKS5 bytestream reply with unknown streamhost %s", jid);
 	}
 
@@ -814,26 +807,26 @@
 }
 
-/* 
+/*
  * Tell the proxy to activate the stream. Looks like this:
  *
  * <iq type=set>
- * 	<query xmlns=bs sid=sid>
- * 		<activate>tgt_jid</activate>
- * 	</query>
+ *      <query xmlns=bs sid=sid>
+ *              <activate>tgt_jid</activate>
+ *      </query>
  * </iq>
  */
-void jabber_bs_send_activate( struct bs_transfer *bt )
+void jabber_bs_send_activate(struct bs_transfer *bt)
 {
 	struct xt_node *node;
 
-	node = xt_new_node( "activate", bt->tf->tgt_jid, NULL );
-	node = xt_new_node( "query", NULL, node );
-	xt_add_attr( node, "xmlns", XMLNS_BYTESTREAMS );
-	xt_add_attr( node, "sid", bt->tf->sid );
-	node = jabber_make_packet( "iq", "set", bt->sh->jid, node );
-
-	jabber_cache_add( bt->tf->ic, node, jabber_bs_send_handle_activate );
-
-	jabber_write_packet( bt->tf->ic, node );
+	node = xt_new_node("activate", bt->tf->tgt_jid, NULL);
+	node = xt_new_node("query", NULL, node);
+	xt_add_attr(node, "xmlns", XMLNS_BYTESTREAMS);
+	xt_add_attr(node, "sid", bt->tf->sid);
+	node = jabber_make_packet("iq", "set", bt->sh->jid, node);
+
+	jabber_cache_add(bt->tf->ic, node, jabber_bs_send_handle_activate);
+
+	jabber_write_packet(bt->tf->ic, node);
 }
 
@@ -842,5 +835,5 @@
  * We can finally start pushing some data out.
  */
-static xt_status jabber_bs_send_handle_activate( struct im_connection *ic, struct xt_node *node, struct xt_node *orig )
+static xt_status jabber_bs_send_handle_activate(struct im_connection *ic, struct xt_node *node, struct xt_node *orig)
 {
 	char *sid;
@@ -850,98 +843,99 @@
 	struct jabber_data *jd = ic->proto_data;
 
-	query = xt_find_node( orig->children, "query" );
-	sid = xt_find_attr( query, "sid" );
-
-	for( tflist = jd->filetransfers ; tflist; tflist = g_slist_next(tflist) )
-	{
+	query = xt_find_node(orig->children, "query");
+	sid = xt_find_attr(query, "sid");
+
+	for (tflist = jd->filetransfers; tflist; tflist = g_slist_next(tflist)) {
 		struct jabber_transfer *tft = tflist->data;
-		if( ( strcmp( tft->sid, sid ) == 0 ) )
-		{
-		    	tf = tft;
+		if ((strcmp(tft->sid, sid) == 0)) {
+			tf = tft;
 			break;
 		}
 	}
 
-	if( !tf )
-	{
-		imcb_log( ic, "WARNING: Received SOCKS5 bytestream activation for unknown stream" );
+	if (!tf) {
+		imcb_log(ic, "WARNING: Received SOCKS5 bytestream activation for unknown stream");
 		return XT_HANDLED;
 	}
 
-	imcb_log( tf->ic, "File %s: SOCKS5 handshake and activation successful! Transfer about to start...", tf->ft->file_name );
+	imcb_log(tf->ic, "File %s: SOCKS5 handshake and activation successful! Transfer about to start...",
+	         tf->ft->file_name);
 
 	/* handshake went through, let's start transferring */
-	tf->ft->write_request( tf->ft );
+	tf->ft->write_request(tf->ft);
 
 	return XT_HANDLED;
 }
 
-jabber_streamhost_t *jabber_si_parse_proxy( struct im_connection *ic, char *proxy )
+jabber_streamhost_t *jabber_si_parse_proxy(struct im_connection *ic, char *proxy)
 {
 	char *host, *port, *jid;
 	jabber_streamhost_t *sh;
 
-	if( ( ( host = strchr( proxy, ',' ) ) == 0 ) ||
-	    ( ( port = strchr( host+1, ',' ) ) == 0 ) )
-	{
-		imcb_log( ic, "Error parsing proxy setting: \"%s\" (ignored)", proxy );
+	if (((host = strchr(proxy, ',')) == 0) ||
+	    ((port = strchr(host + 1, ',')) == 0)) {
+		imcb_log(ic, "Error parsing proxy setting: \"%s\" (ignored)", proxy);
 		return NULL;
 	}
-	
+
 	jid = proxy;
 	*host++ = '\0';
 	*port++ = '\0';
 
-	sh = g_new0( jabber_streamhost_t, 1 );
-	sh->jid = g_strdup( jid );
-	sh->host = g_strdup( host );
-	g_snprintf( sh->port, sizeof( sh->port ), "%s", port );
+	sh = g_new0(jabber_streamhost_t, 1);
+	sh->jid = g_strdup(jid);
+	sh->host = g_strdup(host);
+	g_snprintf(sh->port, sizeof(sh->port), "%s", port);
 
 	return sh;
 }
 
-void jabber_si_set_proxies( struct bs_transfer *bt )
+void jabber_si_set_proxies(struct bs_transfer *bt)
 {
 	struct jabber_transfer *tf = bt->tf;
 	struct jabber_data *jd = tf->ic->proto_data;
-	char *proxysetting = g_strdup ( set_getstr( &tf->ic->acc->set, "proxy" ) );
+	char *proxysetting = g_strdup(set_getstr(&tf->ic->acc->set, "proxy"));
 	char *proxy, *next, *errmsg = NULL;
 	char port[6];
-	char host[HOST_NAME_MAX+1];
+	char host[HOST_NAME_MAX + 1];
 	jabber_streamhost_t *sh, *sh2;
 	GSList *streamhosts = jd->streamhosts;
 
 	proxy = proxysetting;
-	while ( proxy && ( *proxy!='\0' ) ) {
-		if( ( next = strchr( proxy, ';' ) ) )
-			*next++ = '\0';	
-		
-		if( strcmp( proxy, "<local>" ) == 0 ) {
-			if( ( tf->fd = ft_listen( &tf->saddr, host, port, jd->fd, FALSE, &errmsg ) ) != -1 ) {
-				sh = g_new0( jabber_streamhost_t, 1 );
-				sh->jid = g_strdup( tf->ini_jid );
-				sh->host = g_strdup( host );
-				g_snprintf( sh->port, sizeof( sh->port ), "%s", port );
-				bt->streamhosts = g_slist_append( bt->streamhosts, sh );
-
-				bt->tf->watch_in = b_input_add( tf->fd, B_EV_IO_READ, jabber_bs_send_handshake, bt );
-				bt->connect_timeout = b_timeout_add( JABBER_BS_LISTEN_TIMEOUT * 1000, jabber_bs_connect_timeout, bt );
+	while (proxy && (*proxy != '\0')) {
+		if ((next = strchr(proxy, ';'))) {
+			*next++ = '\0';
+		}
+
+		if (strcmp(proxy, "<local>") == 0) {
+			if ((tf->fd = ft_listen(&tf->saddr, host, port, jd->fd, FALSE, &errmsg)) != -1) {
+				sh = g_new0(jabber_streamhost_t, 1);
+				sh->jid = g_strdup(tf->ini_jid);
+				sh->host = g_strdup(host);
+				g_snprintf(sh->port, sizeof(sh->port), "%s", port);
+				bt->streamhosts = g_slist_append(bt->streamhosts, sh);
+
+				bt->tf->watch_in = b_input_add(tf->fd, B_EV_IO_READ, jabber_bs_send_handshake, bt);
+				bt->connect_timeout = b_timeout_add(JABBER_BS_LISTEN_TIMEOUT * 1000,
+				                                    jabber_bs_connect_timeout, bt);
 			} else {
-				imcb_log( tf->ic, "Transferring file %s: couldn't listen locally(non fatal, check your ft_listen setting in bitlbee.conf): %s",
-					  tf->ft->file_name,
-					  errmsg );
+				imcb_log(tf->ic,
+				         "Transferring file %s: couldn't listen locally(non fatal, check your ft_listen setting in bitlbee.conf): %s",
+				         tf->ft->file_name,
+				         errmsg);
 			}
-		} else if( strcmp( proxy, "<auto>" ) == 0 ) {
-			while ( streamhosts ) {
-				sh = g_new0( jabber_streamhost_t, 1 );
+		} else if (strcmp(proxy, "<auto>") == 0) {
+			while (streamhosts) {
+				sh = g_new0(jabber_streamhost_t, 1);
 				sh2 = streamhosts->data;
-				sh->jid = g_strdup( sh2->jid );
-				sh->host = g_strdup( sh2->host );
-				strcpy( sh->port, sh2->port );
-				bt->streamhosts = g_slist_append( bt->streamhosts, sh );
-				streamhosts = g_slist_next( streamhosts );
+				sh->jid = g_strdup(sh2->jid);
+				sh->host = g_strdup(sh2->host);
+				strcpy(sh->port, sh2->port);
+				bt->streamhosts = g_slist_append(bt->streamhosts, sh);
+				streamhosts = g_slist_next(streamhosts);
 			}
-		} else if( ( sh = jabber_si_parse_proxy( tf->ic, proxy ) ) )
-			bt->streamhosts = g_slist_append( bt->streamhosts, sh );
+		} else if ((sh = jabber_si_parse_proxy(tf->ic, proxy))) {
+			bt->streamhosts = g_slist_append(bt->streamhosts, sh);
+		}
 		proxy = next;
 	}
@@ -951,5 +945,5 @@
  * Starts a bytestream.
  */
-gboolean jabber_bs_send_start( struct jabber_transfer *tf )
+gboolean jabber_bs_send_start(struct jabber_transfer *tf)
 {
 	struct bs_transfer *bt;
@@ -957,64 +951,66 @@
 	char hash_hex[41];
 	unsigned char hash[20];
-	int i,ret;
+	int i, ret;
 
 	/* SHA1( SID + Initiator JID + Target JID ) is given to the streamhost which it will match against the initiator's value */
-	sha1_init( &sha );
-	sha1_append( &sha, (unsigned char*) tf->sid, strlen( tf->sid ) );
-	sha1_append( &sha, (unsigned char*) tf->ini_jid, strlen( tf->ini_jid ) );
-	sha1_append( &sha, (unsigned char*) tf->tgt_jid, strlen( tf->tgt_jid ) );
-	sha1_finish( &sha, hash );
-	
-	for( i = 0; i < 20; i ++ )
-		sprintf( hash_hex + i * 2, "%02x", hash[i] );
-		
-	bt = g_new0( struct bs_transfer, 1 );
+	sha1_init(&sha);
+	sha1_append(&sha, (unsigned char *) tf->sid, strlen(tf->sid));
+	sha1_append(&sha, (unsigned char *) tf->ini_jid, strlen(tf->ini_jid));
+	sha1_append(&sha, (unsigned char *) tf->tgt_jid, strlen(tf->tgt_jid));
+	sha1_finish(&sha, hash);
+
+	for (i = 0; i < 20; i++) {
+		sprintf(hash_hex + i * 2, "%02x", hash[i]);
+	}
+
+	bt = g_new0(struct bs_transfer, 1);
 	bt->tf = tf;
 	bt->phase = BS_PHASE_CONNECT;
-	bt->pseudoadr = g_strdup( hash_hex );
+	bt->pseudoadr = g_strdup(hash_hex);
 	tf->streamhandle = bt;
 	tf->ft->free = jabber_bs_free_transfer;
 	tf->ft->canceled = jabber_bs_canceled;
 
-	jabber_si_set_proxies( bt );
-
-	ret = jabber_bs_send_request( tf, bt->streamhosts);
+	jabber_si_set_proxies(bt);
+
+	ret = jabber_bs_send_request(tf, bt->streamhosts);
 
 	return ret;
 }
 
-gboolean jabber_bs_send_request( struct jabber_transfer *tf, GSList *streamhosts )
+gboolean jabber_bs_send_request(struct jabber_transfer *tf, GSList *streamhosts)
 {
 	struct xt_node *shnode, *query, *iq;
 
-	query = xt_new_node( "query", NULL, NULL );
-	xt_add_attr( query, "xmlns", XMLNS_BYTESTREAMS );
-	xt_add_attr( query, "sid", tf->sid );
-	xt_add_attr( query, "mode", "tcp" );
-
-	while( streamhosts ) {
+	query = xt_new_node("query", NULL, NULL);
+	xt_add_attr(query, "xmlns", XMLNS_BYTESTREAMS);
+	xt_add_attr(query, "sid", tf->sid);
+	xt_add_attr(query, "mode", "tcp");
+
+	while (streamhosts) {
 		jabber_streamhost_t *sh = streamhosts->data;
-		shnode = xt_new_node( "streamhost", NULL, NULL );
-		xt_add_attr( shnode, "jid", sh->jid );
-		xt_add_attr( shnode, "host", sh->host );
-		xt_add_attr( shnode, "port", sh->port );
-
-		xt_add_child( query, shnode );
-
-		streamhosts = g_slist_next( streamhosts );
-	}
-
-
-	iq = jabber_make_packet( "iq", "set", tf->tgt_jid, query );
-	xt_add_attr( iq, "from", tf->ini_jid );
-
-	jabber_cache_add( tf->ic, iq, jabber_bs_send_handle_reply );
-
-	if( !jabber_write_packet( tf->ic, iq ) )
-		imcb_file_canceled( tf->ic, tf->ft, "Error transmitting bytestream request" );
+		shnode = xt_new_node("streamhost", NULL, NULL);
+		xt_add_attr(shnode, "jid", sh->jid);
+		xt_add_attr(shnode, "host", sh->host);
+		xt_add_attr(shnode, "port", sh->port);
+
+		xt_add_child(query, shnode);
+
+		streamhosts = g_slist_next(streamhosts);
+	}
+
+
+	iq = jabber_make_packet("iq", "set", tf->tgt_jid, query);
+	xt_add_attr(iq, "from", tf->ini_jid);
+
+	jabber_cache_add(tf->ic, iq, jabber_bs_send_handle_reply);
+
+	if (!jabber_write_packet(tf->ic, iq)) {
+		imcb_file_canceled(tf->ic, tf->ft, "Error transmitting bytestream request");
+	}
 	return TRUE;
 }
 
-gboolean jabber_bs_send_handshake_abort(struct bs_transfer *bt, char *error )
+gboolean jabber_bs_send_handshake_abort(struct bs_transfer *bt, char *error)
 {
 	struct jabber_transfer *tf = bt->tf;
@@ -1022,10 +1018,11 @@
 
 	/* TODO: did the receiver get here somehow??? */
-	imcb_log( tf->ic, "Transferring file %s: SOCKS5 handshake failed: %s", 
-		  tf->ft->file_name, 
-		  error );
-
-	if( jd->streamhosts==NULL ) /* we're done here unless we have a proxy to try */
-		imcb_file_canceled( tf->ic, tf->ft, error );
+	imcb_log(tf->ic, "Transferring file %s: SOCKS5 handshake failed: %s",
+	         tf->ft->file_name,
+	         error);
+
+	if (jd->streamhosts == NULL) { /* we're done here unless we have a proxy to try */
+		imcb_file_canceled(tf->ic, tf->ft, error);
+	}
 
 	/* MUST always return FALSE! */
@@ -1036,5 +1033,5 @@
  * SOCKS5BYTESTREAM protocol for the sender
  */
-gboolean jabber_bs_send_handshake( gpointer data, gint fd, b_input_condition cond )
+gboolean jabber_bs_send_handshake(gpointer data, gint fd, b_input_condition cond)
 {
 	struct bs_transfer *bt = data;
@@ -1042,115 +1039,128 @@
 	short revents;
 
-	if ( !jabber_bs_poll( bt, fd, &revents ) )
+	if (!jabber_bs_poll(bt, fd, &revents)) {
 		return FALSE;
-	
-	switch( bt->phase ) 
+	}
+
+	switch (bt->phase) {
+	case BS_PHASE_CONNECT:
 	{
-	case BS_PHASE_CONNECT:
-		{
-			struct sockaddr_storage clt_addr;
-			socklen_t ssize = sizeof( clt_addr );
-			
-			/* Connect */
-
-			ASSERTSOCKOP( tf->fd = accept( fd, (struct sockaddr *) &clt_addr, &ssize ), "Accepting connection" );
-
-			closesocket( fd );
-			fd = tf->fd;
-			sock_make_nonblocking( fd );
-			
-			bt->phase = BS_PHASE_CONNECTED;
-
-			bt->tf->watch_in = b_input_add( fd, B_EV_IO_READ, jabber_bs_send_handshake, bt );
+		struct sockaddr_storage clt_addr;
+		socklen_t ssize = sizeof(clt_addr);
+
+		/* Connect */
+
+		ASSERTSOCKOP(tf->fd = accept(fd, (struct sockaddr *) &clt_addr, &ssize), "Accepting connection");
+
+		closesocket(fd);
+		fd = tf->fd;
+		sock_make_nonblocking(fd);
+
+		bt->phase = BS_PHASE_CONNECTED;
+
+		bt->tf->watch_in = b_input_add(fd, B_EV_IO_READ, jabber_bs_send_handshake, bt);
+		return FALSE;
+	}
+	case BS_PHASE_CONNECTED:
+	{
+		int ret, have_noauth = FALSE;
+		struct {
+			unsigned char ver;
+			unsigned char method;
+		} socks5_auth_reply = { .ver = 5, .method = 0 };
+		struct {
+			unsigned char ver;
+			unsigned char nmethods;
+			unsigned char method;
+		} socks5_hello;
+
+		if (!(ret = jabber_bs_peek(bt, &socks5_hello, sizeof(socks5_hello)))) {
 			return FALSE;
 		}
-	case BS_PHASE_CONNECTED:
-		{
-			int ret, have_noauth=FALSE;
-			struct {
-				unsigned char ver;
-				unsigned char method;
-			} socks5_auth_reply = { .ver = 5, .method = 0 };
-			struct {
-				unsigned char ver;
-				unsigned char nmethods;
-				unsigned char method;
-			} socks5_hello;
-
-			if( !( ret = jabber_bs_peek( bt, &socks5_hello, sizeof( socks5_hello ) ) ) )
-				return FALSE;
-
-			if( ret < sizeof( socks5_hello ) )
-				return TRUE;
-
-			if( !( socks5_hello.ver == 5 ) ||
-			    !( socks5_hello.nmethods >= 1 ) ||
-			    !( socks5_hello.nmethods < 32 ) )
-				return jabber_bs_abort( bt, "Invalid auth request ver=%d nmethods=%d method=%d", socks5_hello.ver, socks5_hello.nmethods, socks5_hello.method );
-
-			have_noauth = socks5_hello.method == 0;
-
-			if( socks5_hello.nmethods > 1 )
-			{
-				char mbuf[32];
-				int i;
-				ASSERTSOCKOP( ret = recv( fd, mbuf, socks5_hello.nmethods - 1, 0 ) , "Receiving auth methods" );
-				if( ret < ( socks5_hello.nmethods - 1 ) )
-					return jabber_bs_abort( bt, "Partial auth request");
-				for( i = 0 ; !have_noauth && ( i < socks5_hello.nmethods - 1 ) ; i ++ )
-					if( mbuf[i] == 0 )
-						have_noauth = TRUE;
+
+		if (ret < sizeof(socks5_hello)) {
+			return TRUE;
+		}
+
+		if (!(socks5_hello.ver == 5) ||
+		    !(socks5_hello.nmethods >= 1) ||
+		    !(socks5_hello.nmethods < 32)) {
+			return jabber_bs_abort(bt, "Invalid auth request ver=%d nmethods=%d method=%d",
+			                       socks5_hello.ver, socks5_hello.nmethods, socks5_hello.method);
+		}
+
+		have_noauth = socks5_hello.method == 0;
+
+		if (socks5_hello.nmethods > 1) {
+			char mbuf[32];
+			int i;
+			ASSERTSOCKOP(ret = recv(fd, mbuf, socks5_hello.nmethods - 1, 0), "Receiving auth methods");
+			if (ret < (socks5_hello.nmethods - 1)) {
+				return jabber_bs_abort(bt, "Partial auth request");
 			}
-			
-			if( !have_noauth )
-				return jabber_bs_abort( bt, "Auth request didn't include no authentication" );
-
-			ASSERTSOCKOP( send( fd, &socks5_auth_reply, sizeof( socks5_auth_reply ) , 0 ), "Sending auth reply" );
-
-			bt->phase = BS_PHASE_REQUEST;
-
+			for (i = 0; !have_noauth && (i < socks5_hello.nmethods - 1); i++) {
+				if (mbuf[i] == 0) {
+					have_noauth = TRUE;
+				}
+			}
+		}
+
+		if (!have_noauth) {
+			return jabber_bs_abort(bt, "Auth request didn't include no authentication");
+		}
+
+		ASSERTSOCKOP(send(fd, &socks5_auth_reply, sizeof(socks5_auth_reply), 0), "Sending auth reply");
+
+		bt->phase = BS_PHASE_REQUEST;
+
+		return TRUE;
+	}
+	case BS_PHASE_REQUEST:
+	{
+		struct socks5_message socks5_connect;
+		int msgsize = sizeof(struct socks5_message);
+		int ret;
+
+		if (!(ret = jabber_bs_peek(bt, &socks5_connect, msgsize))) {
+			return FALSE;
+		}
+
+		if (ret < msgsize) {
 			return TRUE;
 		}
-	case BS_PHASE_REQUEST:
-		{
-			struct socks5_message socks5_connect;
-			int msgsize = sizeof( struct socks5_message );
-			int ret;
-
-			if( !( ret = jabber_bs_peek( bt, &socks5_connect, msgsize ) ) )
-				return FALSE;
-
-			if( ret < msgsize )
-				return TRUE;
-
-			if( !( socks5_connect.ver == 5) ||
-			    !( socks5_connect.cmdrep.cmd == 1 ) ||
-			    !( socks5_connect.atyp == 3 ) ||
-			    !(socks5_connect.addrlen == 40 ) )
-				return jabber_bs_abort( bt, "Invalid SOCKS5 Connect message (addrlen=%d, ver=%d, cmd=%d, atyp=%d)", socks5_connect.addrlen, socks5_connect.ver, socks5_connect.cmdrep.cmd, socks5_connect.atyp );
-			if( !( memcmp( socks5_connect.address, bt->pseudoadr, 40 ) == 0 ) )
-				return jabber_bs_abort( bt, "SOCKS5 Connect message contained wrong digest");
-
-			socks5_connect.cmdrep.rep = 0;
-
-			ASSERTSOCKOP( send( fd, &socks5_connect, msgsize, 0 ), "Sending connect reply" );
-
-			bt->phase = BS_PHASE_REPLY;
-
-			imcb_log( tf->ic, "File %s: SOCKS5 handshake successful! Transfer about to start...", tf->ft->file_name );
-
-			if( tf->accepted )
-			{
-				/* streamhost-used message came already in(possible?), let's start sending */
-				tf->ft->write_request( tf->ft );
-			}
-
-			tf->watch_in = 0;
-			return FALSE;
-
-		}
+
+		if (!(socks5_connect.ver == 5) ||
+		    !(socks5_connect.cmdrep.cmd == 1) ||
+		    !(socks5_connect.atyp == 3) ||
+		    !(socks5_connect.addrlen == 40)) {
+			return jabber_bs_abort(bt,
+			                       "Invalid SOCKS5 Connect message (addrlen=%d, ver=%d, cmd=%d, atyp=%d)",
+			                       socks5_connect.addrlen, socks5_connect.ver, socks5_connect.cmdrep.cmd,
+			                       socks5_connect.atyp);
+		}
+		if (!(memcmp(socks5_connect.address, bt->pseudoadr, 40) == 0)) {
+			return jabber_bs_abort(bt, "SOCKS5 Connect message contained wrong digest");
+		}
+
+		socks5_connect.cmdrep.rep = 0;
+
+		ASSERTSOCKOP(send(fd, &socks5_connect, msgsize, 0), "Sending connect reply");
+
+		bt->phase = BS_PHASE_REPLY;
+
+		imcb_log(tf->ic, "File %s: SOCKS5 handshake successful! Transfer about to start...", tf->ft->file_name);
+
+		if (tf->accepted) {
+			/* streamhost-used message came already in(possible?), let's start sending */
+			tf->ft->write_request(tf->ft);
+		}
+
+		tf->watch_in = 0;
+		return FALSE;
+
+	}
 	default:
 		/* BUG */
-		imcb_log( bt->tf->ic, "BUG in file transfer code: undefined handshake phase" );
+		imcb_log(bt->tf->ic, "BUG in file transfer code: undefined handshake phase");
 
 		bt->tf->watch_in = 0;
